/*******************************************************************************
 * Copyright (c) 2010 Mia-Software.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *
 * Contributors:
 *    Nicolas Bros (Mia-Software) - initial API and implementation
 *    
 *******************************************************************************/

package org.eclipse.gmt.modisco.infra.browser.editors;

import org.eclipse.gmt.modisco.infra.browser.uicore.internal.model.ModelElementItem;
import org.eclipse.jface.viewers.ISelection;
import org.eclipse.jface.viewers.ISelectionProvider;

/**
 * Unwraps the browser's elements, twice:
 * <ul>
 * <li>First, unwrap the browser's wrapper elements (such as
 * {@link ModelElementItem})
 * <li>Then, unwrap the Ecore wrappers (see
 * {@link org.eclipse.emf.edit.ui.provider.UnwrappingSelectionProvider}, from
 * which this class is derived).
 * </ul>
 * 
 */
public class UnwrappingSelectionProvider extends
		org.eclipse.emf.edit.ui.provider.UnwrappingSelectionProvider {

	public UnwrappingSelectionProvider(final ISelectionProvider selectionProvider) {
		super(selectionProvider);
	}

	@Override
	public void setSelection(final ISelection selection) {
		// unwrap EcoreBrowser wrappers
		final ISelection selection2 = BrowserUtils.unwrapSelection(selection);
		super.setSelection(selection2);
	}
}
