/**
 * Copyright (c) 2009 Mia-Software.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 * 
 * Contributors:
 *     Grgoire Dup (Mia-Software) - initial API and implementation
 * 
 *
 * $Id$
 */
package org.eclipse.gmt.modisco.java.discoverer.benchmark.reportmodel;


/**
 * <!-- begin-user-doc -->
 * A representation of the model object '<em><b>CDO Configuration</b></em>'.
 * <!-- end-user-doc -->
 *
 * <p>
 * The following features are supported:
 * <ul>
 *   <li>{@link org.eclipse.gmt.modisco.java.discoverer.benchmark.reportmodel.CDOConfiguration#getVersion <em>Version</em>}</li>
 *   <li>{@link org.eclipse.gmt.modisco.java.discoverer.benchmark.reportmodel.CDOConfiguration#getRevisedLruCapacity <em>Revised Lru Capacity</em>}</li>
 *   <li>{@link org.eclipse.gmt.modisco.java.discoverer.benchmark.reportmodel.CDOConfiguration#getCacheType <em>Cache Type</em>}</li>
 *   <li>{@link org.eclipse.gmt.modisco.java.discoverer.benchmark.reportmodel.CDOConfiguration#getServerDescription <em>Server Description</em>}</li>
 *   <li>{@link org.eclipse.gmt.modisco.java.discoverer.benchmark.reportmodel.CDOConfiguration#getCurrentLruCapacity <em>Current Lru Capacity</em>}</li>
 *   <li>{@link org.eclipse.gmt.modisco.java.discoverer.benchmark.reportmodel.CDOConfiguration#getInitTime <em>Init Time</em>}</li>
 * </ul>
 * </p>
 *
 * @see org.eclipse.gmt.modisco.java.discoverer.benchmark.reportmodel.ReportmodelPackage#getCDOConfiguration()
 * @model
 * @generated
 */
public interface CDOConfiguration extends Configuration {
	/**
	 * Returns the value of the '<em><b>Version</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of the '<em>Version</em>' attribute isn't clear,
	 * there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>Version</em>' attribute.
	 * @see #setVersion(String)
	 * @see org.eclipse.gmt.modisco.java.discoverer.benchmark.reportmodel.ReportmodelPackage#getCDOConfiguration_Version()
	 * @model
	 * @generated
	 */
	String getVersion();

	/**
	 * Sets the value of the '{@link org.eclipse.gmt.modisco.java.discoverer.benchmark.reportmodel.CDOConfiguration#getVersion <em>Version</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param value the new value of the '<em>Version</em>' attribute.
	 * @see #getVersion()
	 * @generated
	 */
	void setVersion(String value);

	/**
	 * Returns the value of the '<em><b>Revised Lru Capacity</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of the '<em>Revised Lru Capacity</em>' attribute isn't clear,
	 * there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>Revised Lru Capacity</em>' attribute.
	 * @see #setRevisedLruCapacity(int)
	 * @see org.eclipse.gmt.modisco.java.discoverer.benchmark.reportmodel.ReportmodelPackage#getCDOConfiguration_RevisedLruCapacity()
	 * @model
	 * @generated
	 */
	int getRevisedLruCapacity();

	/**
	 * Sets the value of the '{@link org.eclipse.gmt.modisco.java.discoverer.benchmark.reportmodel.CDOConfiguration#getRevisedLruCapacity <em>Revised Lru Capacity</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param value the new value of the '<em>Revised Lru Capacity</em>' attribute.
	 * @see #getRevisedLruCapacity()
	 * @generated
	 */
	void setRevisedLruCapacity(int value);

	/**
	 * Returns the value of the '<em><b>Cache Type</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of the '<em>Cache Type</em>' attribute isn't clear,
	 * there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>Cache Type</em>' attribute.
	 * @see #setCacheType(String)
	 * @see org.eclipse.gmt.modisco.java.discoverer.benchmark.reportmodel.ReportmodelPackage#getCDOConfiguration_CacheType()
	 * @model
	 * @generated
	 */
	String getCacheType();

	/**
	 * Sets the value of the '{@link org.eclipse.gmt.modisco.java.discoverer.benchmark.reportmodel.CDOConfiguration#getCacheType <em>Cache Type</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param value the new value of the '<em>Cache Type</em>' attribute.
	 * @see #getCacheType()
	 * @generated
	 */
	void setCacheType(String value);

	/**
	 * Returns the value of the '<em><b>Server Description</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of the '<em>Server Description</em>' attribute isn't clear,
	 * there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>Server Description</em>' attribute.
	 * @see #setServerDescription(String)
	 * @see org.eclipse.gmt.modisco.java.discoverer.benchmark.reportmodel.ReportmodelPackage#getCDOConfiguration_ServerDescription()
	 * @model
	 * @generated
	 */
	String getServerDescription();

	/**
	 * Sets the value of the '{@link org.eclipse.gmt.modisco.java.discoverer.benchmark.reportmodel.CDOConfiguration#getServerDescription <em>Server Description</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param value the new value of the '<em>Server Description</em>' attribute.
	 * @see #getServerDescription()
	 * @generated
	 */
	void setServerDescription(String value);

	/**
	 * Returns the value of the '<em><b>Current Lru Capacity</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of the '<em>Current Lru Capacity</em>' attribute isn't clear,
	 * there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>Current Lru Capacity</em>' attribute.
	 * @see #setCurrentLruCapacity(int)
	 * @see org.eclipse.gmt.modisco.java.discoverer.benchmark.reportmodel.ReportmodelPackage#getCDOConfiguration_CurrentLruCapacity()
	 * @model
	 * @generated
	 */
	int getCurrentLruCapacity();

	/**
	 * Sets the value of the '{@link org.eclipse.gmt.modisco.java.discoverer.benchmark.reportmodel.CDOConfiguration#getCurrentLruCapacity <em>Current Lru Capacity</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param value the new value of the '<em>Current Lru Capacity</em>' attribute.
	 * @see #getCurrentLruCapacity()
	 * @generated
	 */
	void setCurrentLruCapacity(int value);

	/**
	 * Returns the value of the '<em><b>Init Time</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of the '<em>Init Time</em>' attribute isn't clear,
	 * there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>Init Time</em>' attribute.
	 * @see #setInitTime(double)
	 * @see org.eclipse.gmt.modisco.java.discoverer.benchmark.reportmodel.ReportmodelPackage#getCDOConfiguration_InitTime()
	 * @model
	 * @generated
	 */
	double getInitTime();

	/**
	 * Sets the value of the '{@link org.eclipse.gmt.modisco.java.discoverer.benchmark.reportmodel.CDOConfiguration#getInitTime <em>Init Time</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param value the new value of the '<em>Init Time</em>' attribute.
	 * @see #getInitTime()
	 * @generated
	 */
	void setInitTime(double value);

} // CDOConfiguration
