/*******************************************************************************
 * Copyright (c) 2009 Mia-Software.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *
 * Contributors:
 *    Nicolas Payneau (Mia-Software) - initial API and implementation
 *******************************************************************************/
package org.eclipse.gmt.modisco.workflow;

import org.eclipse.debug.core.ILaunch;
import org.eclipse.debug.core.ILaunchConfigurationWorkingCopy;
import org.eclipse.gmt.modisco.workflow.modiscoworkflow.Work;

/**
 * API to launch a driver
 * @author Nicolas Payneau
 */
public interface DriverExecutionInterface {
	
	/**
	 * Allows to launch a configuration
	 * @parameter configuration Configuration to be executed
	 * @parameter launch Launch which contains the processes
	 */
	public void launch(ILaunchConfigurationWorkingCopy configuration, ILaunch launch);

	/**
	 * Allows to launch a work
	 * @param modiscoWork A modiscoWork from discoverer
	 */
	public void launch(Work modiscoWork);
}
